CREATE TABLE `bazar_abonnement` (
  `ba_id_utilisateur` int(11) NOT NULL default '0',
  `ba_id_rubrique` int(11) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `bazar_commentaires` (
  `bc_ce_id_fiche` int(11) NOT NULL default '0',
  `bc_nom` varchar(255) NOT NULL default '',
  `bc_commentaire` text NOT NULL,
  `bc_date` datetime NOT NULL default '0000-00-00 00:00:00'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `bazar_droits` (
  `bd_id_utilisateur` int(11) unsigned NOT NULL default '0',
  `bd_id_nature_offre` int(10) unsigned NOT NULL default '0',
  `bd_niveau_droit` int(10) unsigned default NULL,
  PRIMARY KEY  (`bd_id_utilisateur`,`bd_id_nature_offre`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `bazar_fiche` (
  `bf_id_fiche` int(10) unsigned NOT NULL default '0',
  `bf_ce_utilisateur` int(11) unsigned NOT NULL default '0',
  `bf_ce_nature` int(10) unsigned NOT NULL default '0',
  `bf_ce_type_parution` int(10) unsigned default NULL,
  `bf_ce_departement` int(10) unsigned default NULL,
  `bf_ce_region` int(10) unsigned default NULL,
  `bf_ce_pays` char(2) default NULL,
  `bf_titre` varchar(255) default NULL,
  `bf_code` varchar(20) default NULL,
  `bf_description` text,
  `bf_url_image` varchar(255) default NULL,
  `bf_date_debut_validite_fiche` date NOT NULL default '0000-00-00',
  `bf_date_fin_validite_fiche` date NOT NULL default '0000-00-00',
  `bf_date_creation_fiche` datetime NOT NULL default '0000-00-00 00:00:00',
  `bf_date_maj_fiche` datetime NOT NULL default '0000-00-00 00:00:00',
  `bf_statut_fiche` int(10) unsigned default NULL,
  `bf_date_debut_evenement` date default NULL,
  `bf_date_fin_evenement` date default NULL,
  `bf_lieu_evenement` varchar(255) default NULL,
  `bf_capacite_accueil` int(10) unsigned default NULL,
  `bf_nb_animateurs` int(10) unsigned default NULL,
  `bf_tarif_individuel` varchar(255) default NULL,
  `bf_numero_module` varchar(8) NOT NULL default '',
  `bf_total_module` varchar(8) NOT NULL default '',
  `bf_ce_type_formation` int(11) NOT NULL default '0',
  `bf_ce_diplome` int(11) NOT NULL default '0',
  `bf_ce_niveau` int(11) NOT NULL default '0',
  `bf_qualif_preparee` varchar(60) NOT NULL default '',
  `bf_contenu_formation` text NOT NULL,
  `bf_conditions_acces` text NOT NULL,
  `bf_date_fin_inscription` date NOT NULL default '0000-00-00',
  `bf_cp_lieu_evenement` varchar(7) NOT NULL default '',
  `bf_tarif_entreprise` varchar(255) NOT NULL default '',
  `bf_tarif_opca` varchar(255) NOT NULL default '',
  `bf_num_agrement` varchar(20) NOT NULL default '',
  `bf_prenom_contact` varchar(60) NOT NULL default '',
  `bf_nom_contact` varchar(60) NOT NULL default '',
  `bf_adresse_contact` varchar(255) NOT NULL default '',
  `bf_mail` varchar(255) default NULL,
  `bf_telephone` varchar(14) NOT NULL default '',
  `bf_profession` varchar(255) NOT NULL,
  `bf_structure` varchar(255) NOT NULL,
  `bf_nom_wikini` varchar(255) NOT NULL,
  `bf_massif` varchar(255) NOT NULL,
  `bf_intervenants` text NOT NULL,
  `bf_infos_complementaires` text NOT NULL,
  `bf_public` varchar(255) NOT NULL default '',
  `bf_editeur` varchar(255) NOT NULL default '',
  `bf_annee_parution` mediumint(8) unsigned NOT NULL default '0',
  `bf_theme` tinyint(3) unsigned NOT NULL default '1',
  `bf_ce_langue` char(2) NOT NULL default '',
  `bf_commentaire` text NOT NULL,
  `bf_auteur` varchar(255) NOT NULL default '',
  `bf_auteur_coordonnee` varchar(255) NOT NULL default '',
  `bf_editeur_coordonnee` varchar(255) NOT NULL default '',
  `bf_ce_echelle_geo` tinyint(3) unsigned NOT NULL default '0',
  `bf_ce_secteur` tinyint(4) NOT NULL default '0',
  `bf_qualite` varchar(255) NOT NULL default '',
  `bf_forme_aide` varchar(255) NOT NULL default '',
  `bf_ce_nature_aide` tinyint(4) NOT NULL default '0',
  `bf_source_aide` varchar(255) NOT NULL default '',
  `bf_condition_aide` text NOT NULL,
  `bf_site_internet` varchar(255) NOT NULL default '',
  `bf_gestionnaire` varchar(255) NOT NULL default '',
  `bf_nb_consultations` int(10) unsigned NOT NULL default '0',
  `bf_fax` varchar(132) NOT NULL default '',
  `bf_adresse1` varchar(255) NOT NULL,
  `bf_adresse2` varchar(255) NOT NULL,
  `bf_code_postal` varchar(255) NOT NULL,
  `bf_ville` varchar(255) NOT NULL,
  `bf_latitude` varchar(255) NOT NULL,
  `bf_longitude` varchar(255) NOT NULL,
  `bf_categorie_fiche` varchar(255) NOT NULL,
  PRIMARY KEY  (`bf_id_fiche`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `bazar_fiche_valeur_liste` (
  `bfvl_ce_fiche` int(10) unsigned NOT NULL default '0',
  `bfvl_ce_liste` int(10) unsigned NOT NULL default '0',
  `bfvl_valeur` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`bfvl_ce_fiche`,`bfvl_ce_liste`,`bfvl_valeur`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `bazar_fichier_joint` (
  `bfj_id_fichier` int(10) unsigned NOT NULL default '0',
  `bfj_ce_fiche` int(10) unsigned NOT NULL default '0',
  `bfj_description` text,
  `bfj_fichier` varchar(255) default NULL,
  PRIMARY KEY  (`bfj_id_fichier`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `bazar_licence` (
  `bl_id_licence` int(10) unsigned NOT NULL default '0',
  `bl_nom` varchar(255) default NULL,
  `bl_contenu` text,
  PRIMARY KEY  (`bl_id_licence`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `bazar_licence` (`bl_id_licence`, `bl_nom`, `bl_contenu`) VALUES (1, 'CeCill', 'bla, bla, bla....'),
(2, 'Creative Commons', 'bla, bla, bla....'),
(3, 'GNU - GPL', 'bla, bla, bla....'),
(4, 'Domaine Public', 'bla, bla, bla....');

CREATE TABLE `bazar_liste` (
  `bl_id_liste` int(11) NOT NULL default '0',
  `bl_label_liste` varchar(255) NOT NULL default '',
  `bl_ce_i18n` varchar(5) NOT NULL default '',
  PRIMARY KEY  (`bl_id_liste`,`bl_ce_i18n`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `bazar_liste` (`bl_id_liste`, `bl_label_liste`, `bl_ce_i18n`) VALUES (1, 'Type de formation', 'fr-FR'),
(2, 'Tranches d\'&acirc;ges', 'fr-FR'),
(3, 'Dipl&ocirc;mes', 'fr-FR'),
(4, 'Niveau formation', 'fr-FR'),
(5, 'Agr&eacute;ments', 'fr-FR'),
(6, 'Aides', 'fr-FR'),
(7, 'Echelle g&eacute;ographique', 'fr-FR'),
(8, 'H&eacute;bergement', 'fr-FR'),
(9, 'Milieu dominant', 'fr-FR'),
(10, 'Nature des aides', 'fr-FR'),
(11, 'Niveau scolaire', 'fr-FR'),
(12, 'Oui / Non', 'fr-FR'),
(13, 'P&eacute;riode', 'fr-FR'),
(14, 'Prix', 'fr-FR'),
(15, 'Qualification', 'fr-FR'),
(16, 'Secteur', 'fr-FR'),
(17, 'Th&egrave;mes', 'fr-FR'),
(18, 'Type de s&eacute;jour', 'fr-FR'),
(19, 'D&eacute;partements fran&ccedil;ais', 'fr-FR'),
(20, 'Type de parution', 'fr-FR'),
(22, 'Publics cibles', 'fr-FR'),
(24, 'Approches', 'fr-FR'),
(26, 'Type activit&eacute;', 'fr-FR'),
(27, 'Lieu activit&eacute;', 'fr-FR'),
(28, 'Type de structure', 'fr-FR'),
(29, 'Langues', 'fr-FR'),
(30, 'Type de ressources humaines', 'fr-FR');

CREATE TABLE `bazar_liste_valeurs` (
  `blv_ce_liste` int(11) unsigned NOT NULL default '0',
  `blv_valeur` int(11) unsigned NOT NULL default '0',
  `blv_label` varchar(255) NOT NULL default '',
  `blv_ce_i18n` varchar(5) NOT NULL default '',
  PRIMARY KEY  (`blv_ce_liste`,`blv_valeur`,`blv_ce_i18n`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `bazar_liste_valeurs` (`blv_ce_liste`, `blv_valeur`, `blv_label`, `blv_ce_i18n`) VALUES (1, 1, 'Continue', 'fr-FR'),
(1, 2, 'Dipl&ocirc;mante', 'fr-FR'),
(1, 3, 'Qualifiante', 'fr-FR'),
(2, 1, '4 &agrave; 7 ans', 'fr-FR'),
(2, 2, '8 &agrave; 12 ans', 'fr-FR'),
(2, 3, '12 &agrave; 15 ans', 'fr-FR'),
(2, 4, '15 &agrave; 18 ans', 'fr-FR'),
(2, 5, 'Adultes', 'fr-FR'),
(2, 7, 'Autre', 'fr-FR'),
(2, 6, 'Tous publics', 'fr-FR'),
(2, 11, 'Choisir...', 'fr-FR'),
(2, 8, '9 &agrave; 14 ans', 'fr-FR'),
(3, 1, 'BTS', 'fr-FR'),
(3, 2, 'BEATEP', 'fr-FR'),
(3, 3, 'DEFA', 'fr-FR'),
(3, 4, 'BP JEPS', 'fr-FR'),
(3, 5, 'BAFA', 'fr-FR'),
(3, 6, 'BAFD', 'fr-FR'),
(3, 7, 'DEDPAD', 'fr-FR'),
(3, 8, 'DUT', 'fr-FR'),
(3, 0, 'Choisir...', 'fr-FR'),
(3, 9, 'Autre', 'fr-FR'),
(4, 1, 'VI', 'fr-FR'),
(4, 2, 'V (bis)', 'fr-FR'),
(4, 3, 'V', 'fr-FR'),
(4, 4, 'IV', 'fr-FR'),
(4, 5, 'III', 'fr-FR'),
(4, 6, 'II', 'fr-FR'),
(4, 7, 'I', 'fr-FR'),
(4, 0, 'Choisir...', 'fr-FR'),
(5, 1, 'Education Nationale', 'fr-FR'),
(5, 2, 'Jeunesse et Sports', 'fr-FR'),
(5, 3, 'Classe Patrimoine', 'fr-FR'),
(5, 4, 'Autres', 'fr-FR'),
(6, 1, 'CAF', 'fr-FR'),
(6, 2, 'ANCV', 'fr-FR'),
(6, 3, 'CE', 'fr-FR'),
(6, 4, 'Autres', 'fr-FR'),
(7, 1, 'R&eacute;gionale', 'fr-FR'),
(7, 2, 'Nationale', 'fr-FR'),
(7, 3, 'Europ&eacute;enne', 'fr-FR'),
(7, 4, 'Mondiale', 'fr-FR'),
(8, 1, 'Tente', 'fr-FR'),
(8, 2, 'G&icirc;te', 'fr-FR'),
(8, 3, 'Chambres', 'fr-FR'),
(8, 4, 'Autre', 'fr-FR'),
(8, 0, 'Choisir...', 'fr-FR'),
(8, 5, 'Plusieurs formules', 'fr-FR'),
(9, 1, 'Marin', 'fr-FR'),
(9, 2, 'Aquatique', 'fr-FR'),
(9, 3, 'Rural', 'fr-FR'),
(9, 4, 'Montagnard', 'fr-FR'),
(9, 5, 'Forestier', 'fr-FR'),
(9, 6, 'Garrigue', 'fr-FR'),
(9, 7, 'Autre', 'fr-FR'),
(9, 0, 'Choisir...', 'fr-FR'),
(10, 1, 'Financi&egrave;re', 'fr-FR'),
(10, 2, 'Technique', 'fr-FR'),
(11, 1, 'Tous niveaux', 'fr-FR'),
(11, 2, 'Maternelle', 'fr-FR'),
(11, 3, 'Primaire (tous)', 'fr-FR'),
(11, 4, '&nbsp;CP', 'fr-FR'),
(11, 5, '&nbsp;CE1', 'fr-FR'),
(11, 6, '&nbsp;CE2', 'fr-FR'),
(11, 7, '&nbsp;CM1', 'fr-FR'),
(11, 8, '&nbsp;CM2', 'fr-FR'),
(11, 9, 'Coll&egrave;ge (tous)', 'fr-FR'),
(11, 10, '&nbsp;6&egrave;me', 'fr-FR'),
(11, 11, '&nbsp;5&egrave;me', 'fr-FR'),
(11, 12, '&nbsp;4&egrave;me', 'fr-FR'),
(11, 13, '&nbsp;3&egrave;me', 'fr-FR'),
(11, 14, 'Lyc&egrave;e (tous)', 'fr-FR'),
(11, 15, '&nbsp;Seconde', 'fr-FR'),
(11, 16, '&nbsp;Premi&egrave;re', 'fr-FR'),
(11, 17, '&nbsp;Terminale', 'fr-FR'),
(11, 18, 'Autre', 'fr-FR'),
(12, 1, 'Oui', 'fr-FR'),
(12, 2, 'Non', 'fr-FR'),
(12, 0, 'Choisir...', 'fr-FR'),
(13, 1, 'Printemps', 'fr-FR'),
(13, 2, 'Et', 'fr-FR'),
(13, 3, 'Automne', 'fr-FR'),
(13, 4, 'Hiver', 'fr-FR'),
(13, 5, 'Juillet', 'fr-FR'),
(13, 6, 'Ao&ucirc;t', 'fr-FR'),
(13, 7, 'Annuel', 'fr-FR'),
(13, 0, 'Choisir...', 'fr-FR'),
(14, 1, 'Total du s&eacute;jour', 'fr-FR'),
(14, 2, 'Par semaine', 'fr-FR'),
(14, 3, 'Par jour', 'fr-FR'),
(14, 0, 'Choisir...', 'fr-FR'),
(15, 1, 'BAFA', 'fr-FR'),
(15, 2, 'BAFD', 'fr-FR'),
(15, 3, 'BESAPT', 'fr-FR'),
(15, 4, 'BEATEP', 'fr-FR'),
(15, 5, 'BEES', 'fr-FR'),
(15, 6, 'DEFA', 'fr-FR'),
(15, 7, 'BTS GPN', 'fr-FR'),
(15, 9, 'Autre', 'fr-FR'),
(16, 1, 'Public', 'fr-FR'),
(16, 2, 'Priv', 'fr-FR'),
(17, 13, '&nbsp;13 flore', 'fr-FR'),
(17, 14, '&nbsp;14 eau / milieux humides', 'fr-FR'),
(17, 15, '&nbsp;15 fort', 'fr-FR'),
(17, 16, '&nbsp;16 espaces protgs', 'fr-FR'),
(17, 17, '&nbsp;17 milieu hivernal', 'fr-FR'),
(17, 18, '&nbsp;18 autres', 'fr-FR'),
(17, 20, '20 Paysages', 'fr-FR'),
(17, 21, '&nbsp;21 valles / moyenne montagne', 'fr-FR'),
(17, 22, '&nbsp;22 haute montagne', 'fr-FR'),
(17, 23, '&nbsp;23 glaciers', 'fr-FR'),
(17, 24, '&nbsp;24 gologie', 'fr-FR'),
(17, 25, '&nbsp;25 palontologie', 'fr-FR'),
(17, 26, '&nbsp;26 amnagement', 'fr-FR'),
(17, 27, '&nbsp;27 Autres', 'fr-FR'),
(17, 30, '30 Activits humaines', 'fr-FR'),
(17, 31, '&nbsp;31 agriculture / pastoralisme', 'fr-FR'),
(17, 32, '&nbsp;32 pche', 'fr-FR'),
(17, 33, '&nbsp;33 jardins alpins', 'fr-FR'),
(17, 34, '&nbsp;34 artisanat', 'fr-FR'),
(17, 35, '&nbsp;35 Autres', 'fr-FR'),
(17, 40, '40 Activits physiques de pleine nature', 'fr-FR'),
(17, 41, '&nbsp;41 randonne moyenne montagne', 'fr-FR'),
(17, 42, '&nbsp;42 randonne haute montagne', 'fr-FR'),
(18, 1, 'S&eacute;jours', 'fr-FR'),
(18, 2, 'Chantiers', 'fr-FR'),
(18, 3, 'Classes environnement', 'fr-FR'),
(18, 0, 'Choisir...', 'fr-FR'),
(19, 1, 'Ain', 'fr-FR'),
(19, 2, 'Aisne', 'fr-FR'),
(19, 3, 'Allier', 'fr-FR'),
(19, 4, 'Alpes-de-Haute-Provence', 'fr-FR'),
(19, 5, 'Hautes-Alpes', 'fr-FR'),
(19, 6, 'Alpes-Maritimes', 'fr-FR'),
(19, 7, 'Ard&egrave;che', 'fr-FR'),
(19, 8, 'Ardennes', 'fr-FR'),
(19, 9, 'Ari&egrave;ge', 'fr-FR'),
(19, 10, 'Aube', 'fr-FR'),
(19, 11, 'Aude', 'fr-FR'),
(19, 12, 'Aveyron', 'fr-FR'),
(19, 13, 'Bouches-du-Rh&ocirc;ne', 'fr-FR'),
(19, 14, 'Calvados', 'fr-FR'),
(19, 15, 'Cantal', 'fr-FR'),
(19, 16, 'Charente', 'fr-FR'),
(19, 17, 'Charente-Maritime', 'fr-FR'),
(19, 18, 'Cher', 'fr-FR'),
(19, 19, 'Corr&egrave;ze', 'fr-FR'),
(19, 20, 'Corse', 'fr-FR'),
(19, 21, 'C&ocirc;te-d\'Or', 'fr-FR'),
(19, 22, 'C&ocirc;tes-d\'Armor', 'fr-FR'),
(19, 23, 'Creuse', 'fr-FR'),
(19, 24, 'Dordogne', 'fr-FR'),
(19, 25, 'Doubs', 'fr-FR'),
(19, 26, 'Dr&ocirc;me', 'fr-FR'),
(19, 27, 'Eure', 'fr-FR'),
(19, 28, 'Eure-et-Loir', 'fr-FR'),
(19, 29, 'Finist&egrave;re', 'fr-FR'),
(19, 30, 'Gard', 'fr-FR'),
(19, 31, 'Haute-Garonne', 'fr-FR'),
(19, 32, 'Gers', 'fr-FR'),
(19, 33, 'Gironde', 'fr-FR'),
(19, 34, 'H&eacute;rault', 'fr-FR'),
(19, 35, 'Ille-et-Vilaine', 'fr-FR'),
(19, 36, 'Indre', 'fr-FR'),
(19, 37, 'Indre-et-Loire', 'fr-FR'),
(19, 38, 'Is&egrave;re', 'fr-FR'),
(19, 39, 'Jura', 'fr-FR'),
(19, 40, 'Landes', 'fr-FR'),
(19, 41, 'Loir-et-Cher', 'fr-FR'),
(19, 42, 'Loire', 'fr-FR'),
(19, 43, 'Haute-Loire', 'fr-FR'),
(19, 44, 'Loire-Atlantique', 'fr-FR'),
(19, 45, 'Loiret', 'fr-FR'),
(19, 46, 'Lot', 'fr-FR'),
(19, 47, 'Lot-et-Garonne', 'fr-FR'),
(19, 48, 'Loz&egrave;re', 'fr-FR'),
(19, 49, 'Maine-et-Loire', 'fr-FR'),
(19, 50, 'Manche', 'fr-FR'),
(19, 51, 'Marne', 'fr-FR'),
(19, 52, 'Haute-Marne', 'fr-FR'),
(19, 53, 'Mayenne', 'fr-FR'),
(19, 54, 'Meurthe-et-Moselle', 'fr-FR'),
(19, 55, 'Meuse', 'fr-FR'),
(19, 56, 'Morbihan', 'fr-FR'),
(19, 57, 'Moselle', 'fr-FR'),
(19, 58, 'Ni&egrave;vre', 'fr-FR'),
(19, 59, 'Nord', 'fr-FR'),
(19, 60, 'Oise', 'fr-FR'),
(19, 61, 'Orne', 'fr-FR'),
(19, 62, 'Pas-de-Calais', 'fr-FR'),
(19, 63, 'Puy-de-D?me', 'fr-FR'),
(19, 64, 'Pyr&eacute;nn&eacute;es-Atlantiques', 'fr-FR'),
(19, 65, 'Hautes-Pyr&eacute;nn&eacute;es', 'fr-FR'),
(19, 66, 'Pyr&eacute;nn&eacute;es-Orientales', 'fr-FR'),
(19, 67, 'Bas-Rhin', 'fr-FR'),
(19, 68, 'Haut-Rhin', 'fr-FR'),
(19, 69, 'Rh&ocirc;ne', 'fr-FR'),
(19, 70, 'Haute-Sa&ocirc;ne', 'fr-FR'),
(19, 71, 'Sa&ocirc;ne-et-Loire', 'fr-FR'),
(19, 72, 'Sarthe', 'fr-FR'),
(19, 73, 'Savoie', 'fr-FR'),
(19, 74, 'Haute-Savoie', 'fr-FR'),
(19, 75, 'Paris', 'fr-FR'),
(19, 76, 'Seine-Maritime', 'fr-FR'),
(19, 77, 'Seine-et-Marne', 'fr-FR'),
(19, 78, 'Yvelines', 'fr-FR'),
(19, 79, 'Deux-S&egrave;vres', 'fr-FR'),
(19, 80, 'Somme', 'fr-FR'),
(19, 81, 'Tarn', 'fr-FR'),
(19, 82, 'Tarn-et-Garonne', 'fr-FR'),
(19, 83, 'Var', 'fr-FR'),
(19, 84, 'Vaucluse', 'fr-FR'),
(19, 85, 'Vend', 'fr-FR'),
(19, 86, 'Vienne', 'fr-FR'),
(19, 87, 'Haute-Vienne', 'fr-FR'),
(19, 88, 'Vosges', 'fr-FR'),
(19, 89, 'Yonne', 'fr-FR'),
(19, 90, 'Territoire-de-Belfort', 'fr-FR'),
(19, 91, 'Essonne', 'fr-FR'),
(19, 92, 'Hauts-de-Seine', 'fr-FR'),
(19, 93, 'Seine-Saint-Denis', 'fr-FR'),
(19, 94, 'Val-de-Marne', 'fr-FR'),
(19, 95, 'Val-d\'Oise', 'fr-FR'),
(19, 99, 'Etranger', 'fr-FR'),
(19, 971, 'Guadeloupe', 'fr-FR'),
(19, 972, 'Martinique', 'fr-FR'),
(19, 973, 'Guyane', 'fr-FR'),
(19, 974, 'R&eacute;union', 'fr-FR'),
(19, 975, 'St-Pierre-et-Miquelon', 'fr-FR'),
(19, 976, 'Mayotte', 'fr-FR'),
(19, 980, 'Monaco', 'fr-FR'),
(19, 986, 'Wallis-et-Futuna', 'fr-FR'),
(19, 987, 'Polyn&eacute;sie-Francaise', 'fr-FR'),
(19, 988, 'Nouvelle-Cal&eacute;donie', 'fr-FR'),
(20, 3, 'Carnet', 'fr-FR'),
(20, 2, 'Priodique', 'fr-FR'),
(20, 1, 'Livre', 'fr-FR'),
(22, 1, 'tous publics', 'fr-FR'),
(22, 2, 'enfants', 'fr-FR'),
(22, 3, 'scolaires', 'fr-FR'),
(22, 4, 'adultes', 'fr-FR'),
(22, 5, 'jeunes', 'fr-FR'),
(22, 6, '&eacute;tudiants', 'fr-FR'),
(22, 7, 'familles', 'fr-FR'),
(22, 8, 'enseignants / formateurs', 'fr-FR'),
(22, 9, 'animateurs', 'fr-FR'),
(22, 10, 'handicap&eacute;s', 'fr-FR'),
(22, 11, 'seniors', 'fr-FR'),
(22, 12, 'touristes', 'fr-FR'),
(24, 1, 'ludique', 'fr-FR'),
(24, 2, 'p&eacute;dagogique', 'fr-FR'),
(24, 3, 'analyse-r&eacute;flexion', 'fr-FR'),
(24, 4, 'information', 'fr-FR'),
(24, 5, 'technique', 'fr-FR'),
(24, 6, 'sensorielle', 'fr-FR'),
(24, 7, 'autre', 'fr-FR'),
(23, 2, '2', 'fr-FR'),
(23, 1, '1', 'fr-FR'),
(23, 3, '3', 'fr-FR'),
(23, 4, '4', 'fr-FR'),
(23, 5, '5', 'fr-FR'),
(23, 6, '6', 'fr-FR'),
(23, 7, '7', 'fr-FR'),
(23, 8, '8', 'fr-FR'),
(23, 9, '9', 'fr-FR'),
(23, 10, '10', 'fr-FR'),
(23, 11, '11', 'fr-FR'),
(23, 12, '12', 'fr-FR'),
(23, 13, '13', 'fr-FR'),
(23, 14, '14', 'fr-FR'),
(23, 15, '15', 'fr-FR'),
(23, 16, '16', 'fr-FR'),
(23, 17, '17', 'fr-FR'),
(23, 18, '18', 'fr-FR'),
(23, 19, '19', 'fr-FR'),
(23, 20, '20', 'fr-FR'),
(23, 21, '21', 'fr-FR'),
(23, 22, '22', 'fr-FR'),
(23, 23, '23', 'fr-FR'),
(23, 24, '24', 'fr-FR'),
(23, 25, '25', 'fr-FR'),
(23, 26, '26', 'fr-FR'),
(23, 27, '27', 'fr-FR'),
(23, 28, '28', 'fr-FR'),
(23, 29, '29', 'fr-FR'),
(23, 30, '30', 'fr-FR'),
(23, 31, '31', 'fr-FR'),
(23, 32, '32', 'fr-FR'),
(23, 33, '33', 'fr-FR'),
(23, 34, '34', 'fr-FR'),
(23, 35, '35', 'fr-FR'),
(23, 36, '36', 'fr-FR'),
(23, 37, '37', 'fr-FR'),
(23, 38, '38', 'fr-FR'),
(23, 39, '39', 'fr-FR'),
(23, 40, '40', 'fr-FR'),
(23, 41, '41', 'fr-FR'),
(23, 42, '42', 'fr-FR'),
(23, 43, '43', 'fr-FR'),
(23, 44, '44', 'fr-FR'),
(23, 45, '45', 'fr-FR'),
(23, 46, '46', 'fr-FR'),
(23, 47, '47', 'fr-FR'),
(23, 48, '48', 'fr-FR'),
(23, 49, '49', 'fr-FR'),
(23, 50, '50', 'fr-FR'),
(23, 51, '51', 'fr-FR'),
(23, 52, '52', 'fr-FR'),
(23, 53, '53', 'fr-FR'),
(23, 54, '54', 'fr-FR'),
(23, 55, '55', 'fr-FR'),
(23, 56, '56', 'fr-FR'),
(23, 57, '57', 'fr-FR'),
(23, 58, '58', 'fr-FR'),
(23, 59, '59', 'fr-FR'),
(23, 60, '60', 'fr-FR'),
(23, 61, '61', 'fr-FR'),
(23, 62, '62', 'fr-FR'),
(23, 63, '63', 'fr-FR'),
(23, 64, '64', 'fr-FR'),
(23, 65, '65', 'fr-FR'),
(23, 66, '66', 'fr-FR'),
(23, 67, '67', 'fr-FR'),
(23, 68, '68', 'fr-FR'),
(23, 69, '69', 'fr-FR'),
(23, 70, '70', 'fr-FR'),
(23, 71, '71', 'fr-FR'),
(23, 72, '72', 'fr-FR'),
(23, 73, '73', 'fr-FR'),
(23, 74, '74', 'fr-FR'),
(23, 75, '75', 'fr-FR'),
(23, 76, '76', 'fr-FR'),
(23, 77, '77', 'fr-FR'),
(23, 78, '78', 'fr-FR'),
(23, 79, '79', 'fr-FR'),
(23, 80, '80', 'fr-FR'),
(23, 81, '81', 'fr-FR'),
(23, 82, '82', 'fr-FR'),
(23, 83, '83', 'fr-FR'),
(23, 84, '84', 'fr-FR'),
(23, 85, '85', 'fr-FR'),
(23, 86, '86', 'fr-FR'),
(23, 87, '87', 'fr-FR'),
(23, 88, '88', 'fr-FR'),
(23, 89, '89', 'fr-FR'),
(23, 90, '90', 'fr-FR'),
(23, 91, '91', 'fr-FR'),
(23, 92, '92', 'fr-FR'),
(23, 93, '93', 'fr-FR'),
(23, 94, '94', 'fr-FR'),
(23, 95, '95', 'fr-FR'),
(23, 96, '96', 'fr-FR'),
(23, 97, '97', 'fr-FR'),
(23, 98, '98', 'fr-FR'),
(23, 99, '99', 'fr-FR'),
(23, 100, '100', 'fr-FR'),
(23, 101, '101', 'fr-FR'),
(23, 102, '102', 'fr-FR'),
(23, 103, '103', 'fr-FR'),
(23, 104, '104', 'fr-FR'),
(23, 105, '105', 'fr-FR'),
(23, 106, '106', 'fr-FR'),
(23, 107, '107', 'fr-FR'),
(23, 108, '108', 'fr-FR'),
(23, 109, '109', 'fr-FR'),
(23, 110, '110', 'fr-FR'),
(23, 111, '111', 'fr-FR'),
(23, 112, '112', 'fr-FR'),
(23, 113, '113', 'fr-FR'),
(23, 114, '114', 'fr-FR'),
(23, 115, '115', 'fr-FR'),
(23, 116, '116', 'fr-FR'),
(23, 117, '117', 'fr-FR'),
(23, 118, '118', 'fr-FR'),
(23, 119, '119', 'fr-FR'),
(23, 120, '120', 'fr-FR'),
(26, 1, 'exp&eacute;rience', 'fr-FR'),
(26, 2, 'enqu&ecirc;te', 'fr-FR'),
(26, 3, 'expression', 'fr-FR'),
(26, 4, 'autres', 'fr-FR'),
(27, 1, 'en salle', 'fr-FR'),
(27, 2, 'dehors', 'fr-FR'),
(27, 3, 'sur un site particulier', 'fr-FR'),
(27, 4, 'autres', 'fr-FR'),
(28, 1, 'Les services de l\'Etat', 'fr-FR'),
(28, 2, 'Les &eacute;tablissements publics de l\'Etat', 'fr-FR'),
(28, 3, 'Les collectivit&eacute;s territoriales et locales', 'fr-FR'),
(28, 4, 'Les chambres consulaires', 'fr-FR'),
(28, 5, 'Les associations', 'fr-FR'),
(28, 6, 'Les entreprises priv&eacute;es', 'fr-FR'),
(28, 7, 'Autre', 'fr-FR'),
(17, 12, '&nbsp;12 faune', 'fr-FR'),
(17, 11, '&nbsp;11 cosystmes montagnards', 'fr-FR'),
(17, 10, '10 Milieux naturels', 'fr-FR'),
(29, 1, 'Franais', 'fr-FR'),
(29, 2, 'Italien', 'fr-FR'),
(29, 3, 'Allemand', 'fr-FR'),
(29, 4, 'Anglais', 'fr-FR'),
(30, 4, 'Biodiversit&eacute;', 'fr-FR'),
(30, 3, 'Art', 'fr-FR'),
(30, 2, 'Alimentation', 'fr-FR'),
(30, 1, 'Air', 'fr-FR'),
(17, 43, '&nbsp;43 randonne avec nes', 'fr-FR'),
(17, 44, '&nbsp;44 splologie', 'fr-FR'),
(17, 45, '&nbsp;45 sports d\'eau vive', 'fr-FR'),
(17, 46, '&nbsp;46 escalade', 'fr-FR'),
(17, 47, '&nbsp;47 ski alpin / nordique', 'fr-FR'),
(17, 48, '&nbsp;48 traneaux  chiens', 'fr-FR'),
(17, 49, '&nbsp;49 Autres', 'fr-FR'),
(17, 50, '50 Problmatiques environnementales', 'fr-FR'),
(17, 51, '&nbsp;51 risques naturels', 'fr-FR'),
(17, 52, '&nbsp;52 dchets', 'fr-FR'),
(17, 53, '&nbsp;53 nergies', 'fr-FR'),
(17, 54, '&nbsp;54 air', 'fr-FR'),
(17, 55, '&nbsp;55 transports', 'fr-FR'),
(17, 56, '&nbsp;56 ville / montagne', 'fr-FR'),
(17, 57, '&nbsp;57 Autres', 'fr-FR'),
(17, 60, '60 Cultures', 'fr-FR'),
(17, 61, '&nbsp;61 histoire', 'fr-FR'),
(17, 62, '&nbsp;62 archologie', 'fr-FR'),
(17, 63, '&nbsp;63 patrimoine bti', 'fr-FR'),
(17, 64, '&nbsp;64 imaginaire', 'fr-FR'),
(17, 65, '&nbsp;65 arts et montagne', 'fr-FR'),
(17, 66, '&nbsp;66 Autres', 'fr-FR'),
(17, 70, '70 AUTRES', 'fr-FR'),
(1, 4, 'Initiale', 'fr-FR'),
(1, 5, 'Professionnelle', 'fr-FR'),
(20, 4, 'CDROM', 'fr-FR'),
(20, 5, 'Vido VHS', 'fr-FR'),
(20, 6, 'Vido DVD', 'fr-FR'),
(20, 7, 'Mallette', 'fr-FR'),
(20, 8, 'Jeu', 'fr-FR'),
(20, 9, 'Dossier pdagogique', 'fr-FR'),
(20, 10, 'livret', 'fr-FR'),
(20, 11, 'Dpliant', 'fr-FR'),
(20, 12, 'exposition', 'fr-FR'),
(7, 5, '5  	Alpes franaise\r\nAlpes franaise', 'fr-FR'),
(7, 6, 'Arc alpin europen', 'fr-FR'),
(20, 13, 'Site internet', 'fr-FR'),
(30, 5, 'D&eacute;chets', 'fr-FR'),
(30, 6, 'Eau', 'fr-FR'),
(30, 7, 'Energie', 'fr-FR'),
(30, 8, 'For&ecirc;t', 'fr-FR'),
(30, 9, 'G&eacute;ologie', 'fr-FR'),
(30, 10, 'Interpr&eacute;tation', 'fr-FR'),
(30, 11, 'Jardins', 'fr-FR'),
(30, 12, 'Montagne', 'fr-FR'),
(30, 13, 'Pastoralisme', 'fr-FR'),
(30, 14, 'Jeunesse', 'fr-Fr'),
(30, 15, 'Sports', 'fr-FR'),
(30, 16, 'Nuit', 'fr-Fr'),
(30, 17, 'Dveloppement durable', 'fr-Fr'),
(30, 18, 'Environnement', 'fr-Fr'),
(30, 19, 'Transports', 'fr-Fr'),
(30, 20, 'AUTRES', 'fr-Fr'),
(30, 21, 'Risques naturels', 'fr-Fr');

CREATE TABLE `bazar_nature` (
  `bn_id_nature` int(10) unsigned NOT NULL default '0',
  `bn_label_nature` varchar(255) default NULL,
  `bn_description` text,
  `bn_condition` text,
  `bn_ce_id_menu` int(3) unsigned NOT NULL default '0',
  `bn_commentaire` tinyint(3) unsigned NOT NULL default '0',
  `bn_appropriation` tinyint(3) unsigned NOT NULL default '0',
  `bn_image_titre` varchar(255) NOT NULL default '',
  `bn_image_logo` varchar(255) NOT NULL default '',
  `bn_couleur_calendrier` varchar(255) NOT NULL default '',
  `bn_picto_calendrier` varchar(255) NOT NULL default '',
  `bn_template` text NOT NULL,
  `bn_ce_i18n` varchar(5) NOT NULL default '',
  `bn_type_fiche` varchar(255) NOT NULL,
  `bn_label_class` varchar(255) NOT NULL,
  PRIMARY KEY  (`bn_id_nature`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `bazar_nature` (`bn_id_nature`, `bn_label_nature`, `bn_description`, `bn_condition`, `bn_ce_id_menu`, `bn_commentaire`, `bn_appropriation`, `bn_image_titre`, `bn_image_logo`, `bn_couleur_calendrier`, `bn_picto_calendrier`, `bn_template`, `bn_ce_i18n`, `bn_type_fiche`, `bn_label_class`) VALUES (1, 'Ressources documentaires', 'toutes les sources de connaissances formalises : ouvrages, publications, cdroms, sites internet, outils pdagogiques (malles, expositions, livret,...), etc.', '', 69, 0, 0, '', '', '', '', 'texte***bf_titre***Titre***45***200*** *** *** ***1\r\nliste***17***Thme***160***1***1***17***bt_id_theme***1***1\r\ntexte***bf_public***Public***45***200*** *** ***1\r\nliste***20***Type de parution***160***1***1***bazar_type_parution***btp_id***1\r\ntextelong***bf_description***Description***40***20*** *** *** ***\r\ntexte***bf_auteur***Auteur\r\ntextelong***bf_auteur_coordonnee***Coordonnes***40***3\r\ntexte***bf_editeur***Editeur***40***255***Saisissez l\'diteur*** *** ***1\r\ntextelong***bf_editeur_coordonnee***Coordonnes de l\'diteur***40***3\r\ntexte***bf_annee_parution***Anne de parution***5***4*** *** *** ***1\r\nliste***29***Langue***160***1***1***gen_i18n_langue***gil_id_langue***1 \r\ntextelong***bf_commentaire***Commentaires***40***20*** *** *** *** \r\n', 'fr-FR', 'ressources', 'ressources'),
(2, 'Ressources physiques', 'ce sont des ralisations impliques ou cres dans le cadre des projets : sentiers, muses, espaces d\'accueil, de dcouverte ou d\'hbergement...).', '', 69, 0, 0, '', '', '', '', 'texte***bf_titre***Titre***45***200*** *** *** ***1\r\ntexte***bf_qualite***Qualit*** *** *** *** *** ***\r\ntexte***bf_gestionnaire***Gestionnaire*** *** *** *** *** ***\r\ntextelong***bf_adresse_contact***Adresse contact***40***5*** *** *** ***\r\ntexte***bf_telephone***Tlphone*** *** *** *** *** ***\r\ntexte***bf_mail***Courriel*** *** *** *** *** *** ***\r\ntexte***bf_fax***Fax***30***30*** *** *** ***\r\ntexte***bf_site_internet***Site internet***40*** *** *** *** *** ***\r\ntexte***bf_contenu_formation***Nature du service***45*** *** *** *** ***\r\ntextelong***bf_condition_aide***Priode heure***40***3*** *** *** ***\r\nliste***17***Thmes abords***160***1***1***bazar_theme***bt_id_theme***\r\ntexte***bf_public***Public***45***200*** *** ***1\r\ntextelong***bf_description***Description***40***20*** *** *** ***\r\ntextelong***bf_commentaire***Commentaires***40***20*** *** *** *** \r\n', 'fr-FR', 'ressources', 'ressources'),
(3, 'Ressources financires', 'toutes les aides techniques et financires permettant de monter ou de contribuer  la ralisation d\'un projet ;', '', 69, 1, 0, '', '', '', '', 'texte***bf_titre***Intitul***45***200*** *** *** ***1\r\ntextelong***bf_description***Description***40***20*** *** *** ***\r\nliste***7***Echelle gographique***160***1***1***bazar_liste_echelle_geo***bleg_id_echelle***\r\nliste***16***Secteur***160***1***1***bazar_liste_secteur***bls_id_secteur***\r\nliste***10***Nature de l\'aide***160***1***1***bazar_liste_nature_aide***blna_id_nature_aide***\r\ntextelong***bf_forme_aide***Forme de l\'aide***40***3*** *** *** ***\r\ntextelong***bf_source_aide***Source***40***3*** *** *** ***\r\ntextelong***bf_condition_aide***Conditions***40***5*** *** *** ***\r\ntexte***bf_nom_contact***Nom contact*** *** *** *** *** ***\r\ntextelong***bf_adresse_contact***Adresse contact***40***5*** *** *** ***\r\ntexte***bf_telephone***Tlphone*** *** *** *** *** ***\r\ntexte***bf_mail***Courriel***40***100*** *** *** ***0\r\ntexte***bf_site_internet***Lien internet***40***50*** **** *** ***\r\ntextelong***bf_commentaire***Commentaires***40***20*** *** *** *** \r\n', 'fr-FR', 'ressources', ''),
(4, 'Ressources humaines', 'tous les acteurs apportant une comptence, un savoir-faire, une activit au sein d\'un projet.', '', 69, 1, 0, '', '', '', '', 'texte***bf_titre***Titre***45***200*** *** *** ***1\r\nliste***30***Type***160***1***1***bazar_type_ressource_humaine***btrh_id_type\r\ntexte***bf_qualite***Qualit*** *** *** *** *** ***\r\ntexte***bf_nom_contact***Nom du contact*** *** *** *** *** ***\r\ntextelong***bf_adresse_contact***Adresse du contact***40***5*** *** *** ***\r\ntexte***bf_telephone***Tlphone*** *** *** *** *** ***\r\ntexte***bf_fax***Fax***20***20*** *** *** ***\r\ntexte***bf_mail***Courriel*** *** *** *** *** *** ***\r\ntexte***bf_site_internet***Site internet***40*** *** *** *** *** ***\r\nliste***17***Thmes abords***160***1***1***bazar_theme***bt_id_theme***\r\ntexte***bf_public***Public***45***200*** *** ***1\r\ntextelong***bf_description***Nature du service***40***20*** *** *** ***\r\ntextelong***bf_commentaire***Description***40***20*** *** *** *** \r\n', 'fr-FR', 'ressources', ''),
(5, 'Ressources formation', 'toute contribution structure destine  transmettre ou changer des savoirs ou des comptences pendant une priode limite. ', '', 69, 1, 0, '', '', '', '', 'texte***bf_titre***Titre***45***200*** *** *** ***1\r\ntexte***bf_qualite***Organisme*** *** *** *** *** ***\r\ntexte***bf_nom_contact***Nom contact*** *** *** *** *** ***\r\ntextelong***bf_adresse_contact***Adresse contact***40***5*** *** *** ***\r\ntexte***bf_telephone***Tlphone*** *** *** *** *** ***\r\ntexte***bf_fax***Fax***20***20*** *** *** ***\r\ntexte***bf_mail***Courriel*** *** *** *** *** *** ***\r\ntexte***bf_site_internet***Site internet***40*** *** *** *** *** ***\r\nliste***1***Type de formation***160*** *** *** bazar_liste_type_formation*** bltf_id_type_formation***\r\nliste***17***Thme abord***160***1***1***bazar_theme***bt_id_theme***\r\ntexte***bf_public***Public***45***200*** *** ***1\r\ntextelong***bf_description***Description***40***20*** *** *** ***\r\ntextelong***bf_commentaire***Commentaires***40***20*** *** *** *** \r\n', 'fr-FR', 'ressources', ''),
(6, 'Annonces (sans date)', 'saisir une communication br&egrave;ve pour mettre en avant une actualit&eacute; touchant &agrave; l\'EE : appels d\'offres, appels  projets, nouvelles d\'une structure, petites annonces, dispositifs, programme ...', '', 77, 0, 0, '', '', '', '', 'texte***bf_titre***Titre***45***200*** *** *** ***1***0\r\ncheckbox***30***Th&eacute;matiques***160***1*** *** *** ***1***1\r\ntextelong***bf_description***Annonce***40***20*** *** *** ***1***0\r\nlabelhtml*** ***<br />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***<h4>Dur&eacute;e de parution de la fiche :</h4> la date de d&eacute;but de parution indique le moment ou la fiche devient visible sur le site, et la date de fin de parution, le moment o&ugrave; elle disparat.<br /><br />*** *** *** *** *** ***0***0\r\nlistedatedeb***bf_date_debut_validite_fiche***Date de d&eacute;but de parution***10***20*** *** *** ***1***0\r\nlistedatefin***bf_date_fin_validite_fiche***Date de fin de parution***10***20*** *** ***  ***1***0\r\nfichier***1***Joindre un fichier***4000000***2000000*** *** *** ***0***0\r\nimage***2***Joindre une image***4000000***2000000*** *** *** ***0***0\r\nurl***1***Associer un lien (nom et adresse URL)***45***200*** *** *** ***0***0\r\n', 'fr-FR', 'actualites', 'actu'),
(7, 'Co-voiturage', 'Rubrique pour grer des co-voiturage entre personnes habitants dans l\'arc alpin.', '', 75, 0, 0, '', '', '', '', 'texte***bf_titre***Lieu de dpart***45***200*** *** *** ***1\r\ntexte***bf_description***Lieu d\'arive***45***200*** *** *** ***1\r\nlistedatedeb***bf_date_debut_validite_fiche***Date de dbut de validit***10***20*** *** *** ***1\r\nlistedatefin***bf_date_fin_validite_fiche***Date de fin de validit***10***20*** *** ***  ***1\r\ntextelong***bf_condition_aide***Itinraire***40***5*** *** *** ***\r\ntextelong***bf_commentaires***Dtails (heures ...) ***40***5*** *** *** ***\r\n', 'fr-FR', 'actualites', 'actu'),
(8, 'Formation', 'saisir toute formation, quelle que soit sa dur&eacute;e, en lien avec l\'Education &agrave; l\'Environnement ou abordant des contenus p&eacute;riph&eacute;riques (communication, gestion, partenariat, animation de r&eacute;seaux ...) et mettant en oeuvre des pratiques p&eacute;dagogiques sp&eacute;cifiques (inter-disciplinarit&eacute; - co-&eacute;ducation - pratique de terrain - p&eacute;dagogie de projet ...).', '', 79, 0, 0, '', '', '', '', 'texte***bf_titre***Intitul&eacute; de la formation***45***200*** *** *** ***1***0\r\ncheckbox***30***Th&eacute;matiques***160***1*** *** *** ***1***1\r\ncheckbox***1***Type de formation***160***1*** ***bazar_liste_type_formation***bltf_id_type_formation***1***1\r\ntextelong***bf_description***Objectifs***40***15*** *** *** ***1***0\r\ntextelong***bf_contenu_formation***Contenu***40***10*** *** *** ***0***0\r\ntexte***bf_public***Public***45***200*** *** *** ***1***0\r\ntexte***bf_conditions_acces***Conditions d\'acc&egrave;s***45***200*** *** *** *** ***0\r\nlistedatedeb***bf_date_debut_evenement***Date de d&eacute;but de formation***10***20*** *** *** ***0***0\r\nlistedatefin***bf_date_fin_evenement***Date de fin de formation***10***20***  *** ***  ***0***0\r\nlistedatefin***bf_date_fin_inscription***Date limite des inscriptions***10***20***  *** ***  ***0***0\r\ntexte***bf_cp_lieu_evenement***Code postal du lieu de l\'&eacute;v&egrave;nement***7***7***  *** *** ***0***0\r\ntexte***bf_lieu_evenement***Lieu de l\'&eacute;v&egrave;nement***40***60***  *** *** ***0***0\r\ntexte***bf_tarif_individuel***Tarif individuel***5***5*** *** *** ***0***0\r\ntexte***bf_tarif_entreprise***Tarif entreprise***5***5*** *** *** ***0***0\r\ntexte***bf_tarif_opca***Tarif OPCA***5***5*** *** *** ***0***0\r\ntextelong***bf_intervenants***Intervenants***40***3*** *** *** ***0***0\r\ntextelong***bf_infos_complementaires***Informations compl&eacute;mentaires***40***3*** *** *** ***0***0\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***Si plusieurs modules de formation*** *** *** *** *** ***0***0\r\ntexte***bf_numero_module***Num&eacute;ro du module***4***4*** *** *** ***0***0\r\ntexte***bf_total_module***Nombre total de modules***4***4*** *** *** ***0***0\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***Si la formation est diplomante*** *** *** *** *** ***0***0\r\nliste***3***Diplome pr&eacute;par&eacute;***160***1***0***bazar_liste_diplome***bld_id_diplome***0***1\r\nliste***4***Niveau***160***1***0***bazar_liste_niveau***bln_id_niveau***0***1\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***Si la formation est qualifiante*** *** *** *** *** ***0***0\r\ntexte***bf_qualif_preparee***Qualification pr&eacute;par&eacute;e***45***60*** *** *** ***0***1\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***Coordonn&eacute;es du contact*** *** *** *** *** ***0***0\r\ntexte***bf_prenom_contact***Pr&eacute;nom***20***30*** *** *** ***1***0\r\ntexte***bf_nom_contact***Nom***20***30*** *** *** ***1***0\r\nchamps_mail***bf_mail***Courriel***50***80*** *** *** ***0***0\r\ntexte***bf_telephone***T&eacute;l&eacute;phone***10***10*** *** *** ***0***0\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***<h4>Dur&eacute;e de parution de la fiche :</h4> la date de d&eacute;but de parution indique le moment ou la fiche devient visible sur le site, et la date de fin de parution, le moment o&ugrave; elle disparat.<br />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***<br />*** *** *** *** *** ***0***0\r\nlistedatedeb***bf_date_debut_validite_fiche***Date de d&eacute;but de parution***10***20*** *** *** ***1***0\r\nlistedatefin***bf_date_fin_validite_fiche***Date de fin de parution***10***20*** *** ***  ***1***0\r\nfichier***1***Joindre un fichier***4000000***2000000*** *** *** ***0***0\r\nimage***2***Joindre une image***4000000***2000000*** *** *** ***0***0\r\nurl***1***Associer un lien (nom et adresse URL)***45***200*** *** *** ***0***0\r\n', 'fr-FR', 'emploisstages', 'emploistages'),
(9, 'Acteurs', 'les acteurs du rseau alpins', '', 0, 0, 0, '', '', '', '', 'texte***bf_titre***Pr&eacute;nom et nom de famille***60***255*** *** *** ***1***0\r\ntexte***bf_profession***Profession***50***255*** *** *** ***0***0\r\ntexte***bf_structure***Structure***50***255*** *** *** ***0***0\r\ntexte***bf_adresse1***Adresse***30***50*** *** *** ***1***0\r\ntexte***bf_adresse2***Adresse (suite)***30***50*** *** *** ***0***0\r\ntexte***bf_code_postal***Code postal***8***8*** *** *** ***1***0\r\ntexte***bf_ville***Ville***30***50*** *** *** ***1***0\r\nliste***19***Dpartement*** ***1*** *** *** ***1***1\r\ncarte_google*** *** ***bf_latitude***bf_longitude*** *** *** ***\r\ntexte***bf_telephone***T&eacute;l&eacute;phone***15***15*** *** *** ***0***0\r\nchamps_mail***bf_mail***Courriel***40***255*** *** *** ***1***1\r\nutilisateur_wikini*** *** ***40***255*** *** *** ***0***0\r\nlien_internet***bf_site_internet***Site Internet/blog***40***255*** *** *** ***0***0\r\ntextelong***bf_description***Informations complmentaires***40***20*** *** *** *** \r\nchamps_cache***bf_ce_pays***Pays***400*** ***fr*** ***gip_id_pays*** ***\r\nimage***bf_image***Logo ou petite image (200x200 pixels)*** *** *** *** *** ***\r\n', 'fr-FR', 'acteurs', 'acteurs'),
(10, 'Ev&eacute;nements (avec dates)', 'saisir tous &eacute;v&egrave;nements, manifestations, rencontres, colloques, congr&egrave;s ayant trait &agrave; l\'&eacute;ducation &agrave; l\'environnement.', '', 0, 0, 0, '', '', '', '', 'texte***bf_titre***Titre***45***200*** *** *** ***1***0\r\ncheckbox***30***Th&eacute;matiques***160***1*** *** *** ***1***1\r\ntexte***bf_adresse1***Adresse de l\'&eacute;v&egrave;nement***30***50*** *** *** ***1***0\r\ntexte***bf_adresse2***Adresse de l\'&eacute;v&egrave;nement (suite)***30***50*** *** *** ***0***0\r\ntexte***bf_code_postal***Code postal***8***8*** *** *** ***1***0\r\ntexte***bf_ville***Ville***30***50*** *** *** ***1***0\r\nliste***19***Dpartement*** ***1*** *** *** ***1***1\r\ncarte_google*** *** ***bf_latitude***bf_longitude*** *** *** ***\r\nlistedatedeb***bf_date_debut_evenement***Date de d&eacute;but de l\'&eacute;v&egrave;nement***10***20*** *** *** ***1***0\r\nlistedatefin***bf_date_fin_evenement***Date de fin de l\'&eacute;v&egrave;nement***10***20***  *** ***  ***1***0\r\ntextelong***bf_description***Description***40***20*** *** *** ***1***0\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***<h4>Dur&eacute;e de parution de la fiche :</h4> la date de d&eacute;but de parution indique le moment ou la fiche devient visible sur le site, et la date de fin de parution, le moment o&ugrave; elle disparat.<br />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***<br />*** *** *** *** *** ***0***0\r\nlistedatedeb***bf_date_debut_validite_fiche***Date de d&eacute;but de parution***10***20*** *** *** ***1***0\r\nlistedatefin***bf_date_fin_validite_fiche***Date de fin de parution***10***20*** *** ***  ***1***0\r\nfichier***1***Joindre un fichier***4000000***2000000*** *** *** ***0***0\r\nimage***2***Joindre une image***4000000***2000000*** *** *** ***0***0\r\nurl***1***Associer un lien (nom et adresse URL)***45***200*** *** *** ***0***0\r\n', 'fr-FR', 'actualites', 'actu'),
(11, 'Offres de stages', 'saisir une offre de stage ayant un rapport avec l\'&eacute;ducation &agrave; l\'environnement.', '', 0, 0, 0, '', '', '', '', 'labelhtml*** ***<h2>Saisir une offre de stage</h2>*** *** *** *** *** ***0***0\r\ntexte***bf_titre***Intitul&eacute; du stage***45***200*** *** *** ***1***0\r\ntextelong***bf_description***Description de la structure***40***15*** *** *** ***1***0\r\ntexte***bf_cp_lieu_evenement***Code postal du lieu de stage***7***7***  *** *** ***1***0\r\ntexte***bf_lieu_evenement***Lieu de stage***40***60***  *** *** ***0***0\r\ntextelong***bf_intervenants***Missions du stage***40***7*** *** *** ***0***0\r\ntexte***bf_qualif_preparee***Niveau de diplome demand&eacute;***45***60*** *** *** ***0***1\r\ntexte***bf_tarif_opca***Forme de candidature***45***200*** *** *** ***0***0\r\ntexte***bf_tarif_individuel***Indemnit&eacute;s mensuel***45***200*** *** *** ***1***0\r\nlistedatefin***bf_date_fin_inscription***Ech&eacute;ance de candidature***10***20***  *** ***  ***0***0\r\nlistedatedeb***bf_date_debut_evenement***Date de debut du stage***10***20*** *** *** ***0***0\r\ntextelong***bf_infos_complementaires***Informations compl&eacute;mentaires***40***3*** *** *** ***0***0\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***Coordonn&eacute;es du contact*** *** *** *** *** ***0***0\r\ntexte***bf_prenom_contact***Pr&eacute;nom du contact***20***30*** *** *** ***1***0\r\ntexte***bf_nom_contact***Nom du contact***20***30*** *** *** ***1***0\r\nchamps_mail***bf_mail***Courriel***40***50*** *** *** ***0***0\r\ntexte***bf_telephone***T&eacute;l&eacute;phone***10***10*** *** *** ***1***0\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***<h4>Dur&eacute;e de parution de la fiche</h4>*** *** *** *** *** ***0***0\r\nlistedatedeb***bf_date_debut_validite_fiche***Date de d&eacute;but de parution***10***20*** *** *** ***1***0\r\nlistedatefin***bf_date_fin_validite_fiche***Date de fin de parution***10***20*** *** ***  ***1***0\r\nfichier***1***Joindre un fichier***4000000***2000000*** *** *** ***0***0\r\nimage***2***Joindre une image***4000000***2000000*** *** *** ***0***0\r\nurl***1***Associer un lien (nom et adresse URL)***45***200*** *** ***\r\n***0***0\r\n', 'fr-FR', 'emploisstages', 'emploistages'),
(12, 'Offres d\'emplois', 'saisir une offre d\'emploi ayant un rapport avec l\'&eacute;ducation &agrave; l\'environnement.', '', 0, 0, 0, '', '', '', '', 'texte***bf_titre***Intitul&eacute; du poste***45***200*** *** *** ***1***0\r\ntextelong***bf_description***Description de la structure***40***15*** *** *** ***1***0\r\ntexte***bf_cp_lieu_evenement***Code postal du lieu de travail***7***7***  *** *** ***0***0\r\ntexte***bf_lieu_evenement***Lieu de travail***40***60***  *** *** ***0***0\r\ntextelong***bf_intervenants***Missions du poste***40***7*** *** *** ***0***0\r\ntextelong***bf_contenu_formation***Profil du poste***40***8*** *** *** ***1***0\r\ntexte***bf_qualif_preparee***Niveau de diplome demand&eacute;***45***60*** *** *** ***0***1\r\ntexte***bf_public***&eacute;l&eacute;gibilit&eacute;***45***200*** *** *** ***0***1\r\ntexte***bf_tarif_entreprise***Type de contrat***45***200*** *** *** ***1***1\r\ntexte***bf_tarif_opca***Forme de candidature***45***200*** *** *** ***0***0\r\ntexte***bf_numero_module***Indice salaire***4***4*** *** *** ***0***0\r\ntexte***bf_tarif_individuel***Salaire brut mensuel***45***200*** *** *** ***1***0\r\nlistedatefin***bf_date_fin_inscription***Ech&eacute;ance de candidature***10***20***  *** ***  ***0***0\r\nlistedatedeb***bf_date_debut_evenement***Date d\'embauche***10***20*** *** *** ***0***0\r\ntextelong***bf_infos_complementaires***Informations compl&eacute;mentaires***40***3*** *** *** ***0***0\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***Coordonn&eacute;es du contact*** *** *** *** *** ***0***0\r\ntexte***bf_prenom_contact***Pr&eacute;nom du contact***20***30*** *** *** ***1***0\r\ntexte***bf_nom_contact***Nom du contact***20***30*** *** *** ***1***0\r\nchamps_mail***bf_mail***Adresse mail***40***50*** *** *** ***0***0\r\ntexte***bf_telephone***T&eacute;l&eacute;phone***10***10*** *** *** ***1***0\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***<h4>Dur&eacute;e de parution de la fiche</h4>*** *** *** *** *** ***0***0\r\nlistedatedeb***bf_date_debut_validite_fiche***Date de d&eacute;but de parution***10***20*** *** *** ***1***0\r\nlistedatefin***bf_date_fin_validite_fiche***Date de fin de parution***10***20*** *** ***  ***1***0\r\nfichier***1***Joindre un fichier***4000000***2000000*** *** *** ***0***0\r\nimage***2***Joindre une image***4000000***2000000*** *** *** ***0***0\r\nurl***1***Associer un lien (nom et adresse URL)***45***200*** *** ***\r\n***0***0\r\n', 'fr-FR', 'emploisstages', 'emploistages'),
(13, 'Demandes d\'emplois', 'saisir une demande d\'emploi ayant un rapport avec l\'&eacute;ducation &agrave; l\'environnement.', '', 0, 0, 0, '', '', '', '', 'labelhtml*** ***<h2>Saisir votre demande d\'emploi</h2>*** *** *** *** *** ***0***0\r\ntexte***bf_titre***Intitul&eacute; de ma demande d\'emploi***45***200*** *** *** ***1***0\r\ntextelong***bf_description***Description de mon profil***40***15*** *** *** ***1***0\r\ntexte***bf_qualif_preparee***Niveau de diplome ***45***60*** *** *** ***0***1\r\ntexte***bf_tarif_individuel***Prtention salariale***45***200*** *** *** ***0***0\r\ntextelong***bf_infos_complementaires***Informations compl&eacute;mentaires***40***3*** *** *** ***0***0\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***Coordonn&eacute;es du contact*** *** *** *** *** ***0***0\r\ntexte***bf_prenom_contact***Pr&eacute;nom du contact***20***30*** *** *** ***1***0\r\ntexte***bf_nom_contact***Nom du contact***20***30*** *** *** ***1***0\r\nchamps_mail***bf_mail***Adresse mail***40***50*** *** *** ***0***0\r\ntexte***bf_telephone***T&eacute;l&eacute;phone***10***10*** *** *** ***1***0\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***<h4>Dur&eacute;e de parution de la fiche</h4>*** *** *** *** *** ***0***0\r\nlistedatedeb***bf_date_debut_validite_fiche***Date de d&eacute;but de parution***10***20*** *** *** ***1***0\r\nlistedatefin***bf_date_fin_validite_fiche***Date de fin de parution***10***20*** *** ***  ***1***0\r\nfichier***1***Joindre un fichier***4000000***2000000*** *** *** ***0***0\r\nimage***2***Joindre une image***4000000***2000000*** *** *** ***0***0\r\nurl***1***Associer un lien (nom et adresse URL)***45***200*** *** ***\r\n***0***0\r\n', 'fr-FR', 'emploisstages', 'emploistages'),
(14, 'Demandes de stages', 'saisir une demande de stage ayant un rapport avec l\'&eacute;ducation &agrave; l\'environnement.', '', 0, 0, 0, '', '', '', '', 'texte***bf_titre***Intitul&eacute; de ma demande de stage***45***200*** *** *** ***1***0\r\ntextelong***bf_description***Description de mon profil***40***15*** *** *** ***1***0\r\ntexte***bf_qualif_preparee***Niveau de diplme ***45***60*** *** *** ***0***1\r\ntextelong***bf_infos_complementaires***Informations compl&eacute;mentaires***40***3*** *** *** ***0***0\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***Coordonn&eacute;es du contact*** *** *** *** *** ***0***0\r\ntexte***bf_prenom_contact***Pr&eacute;nom du contact***20***30*** *** *** ***1***0\r\ntexte***bf_nom_contact***Nom du contact***20***30*** *** *** ***1***0\r\nchamps_mail***bf_mail***Adresse mail***40***50*** *** *** ***0***0\r\ntexte***bf_telephone***T&eacute;l&eacute;phone***10***10*** *** *** ***1***0\r\nlabelhtml*** ***<hr />*** *** *** *** *** ***0***0\r\nlabelhtml*** ***<h4>Dur&eacute;e de parution de la fiche</h4>*** *** *** *** *** ***0***0\r\nlistedatedeb***bf_date_debut_validite_fiche***Date de d&eacute;but de parution***10***20*** *** *** ***1***0\r\nlistedatefin***bf_date_fin_validite_fiche***Date de fin de parution***10***20*** *** ***  ***1***0\r\nfichier***1***Joindre un fichier***4000000***2000000*** *** *** ***0***0\r\nimage***2***Joindre une image***4000000***2000000*** *** *** ***0***0\r\nurl***1***Associer un lien (nom et adresse URL)***45***200*** *** ***\r\n***0***0\r\n', 'fr-FR', 'emploisstages', 'emploistages');

CREATE TABLE `bazar_url` (
  `bu_id_url` int(10) unsigned NOT NULL auto_increment,
  `bu_ce_fiche` int(10) unsigned NOT NULL default '0',
  `bu_url` varchar(255) default NULL,
  `bu_descriptif_url` varchar(255) default NULL,
  PRIMARY KEY  (`bu_id_url`)
) ENGINE=MyISAM AUTO_INCREMENT=62 DEFAULT CHARSET=latin1 AUTO_INCREMENT=62 ;
